Subject: 23.0.60; misearch autoload warning

From: Denis Laplante <[email-masked]>
Date: Mon, 02 Mar 2009 09:27:17 -0800

Hello

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing 
list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

After compiling using MacPorts emacs-app-devel from CVS last Thursday 
Feb 26,
every time I press C-S an error message appears
 > run-hooks: Cannot open load file: misearch
, after which isearch worked as normal.
I don't understand, because misearch.elc is in 
/Applications/MacPorts/Emacs.app/Contents/Resources/lisp/
  -rw-r--r--    2 root  admin     3074 Dec 28 15:45 misearch.el.gz
  -rw-r--r--    2 root  admin     9254 Feb 27 08:43 misearch.elc
and when I do M-x load-library misearch, it works with no complaint.

FIX: edit loaddefs.el, comment out:
;;  (add-hook 'isearch-mode-hook 'multi-isearch-setup)
After restarting emacs, isearch is normal.

Note that I'm using CVS via MacPorts because with "emacs-app"
the function "shell" does not use ttys, so commands like "ping" can only
be stopped from a separate command line.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Applications/MacPorts/Emacs.app/Contents/Resources/etc/DEBUG for 
instructions.

In GNU Emacs 23.0.60.1 (powerpc-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-02-27 on dt-pb.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--prefix=/opt/local' '--with-ns' 
'CC=/usr/bin/gcc-4.0' 'CFLAGS=-O2' 'LDFLAGS=-L/opt/local/lib' 
'CPPFLAGS=-I/opt/local/include' 'CPP=/usr/bin/cpp-4.0''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:

Recent messages:

  ==========================================================
-- Denis Laplante <[email-masked]> - Sr Systems Analyst
--   UBC IT Network Management Centre  - TEL: 604/822-9914
 ==========================================================